Livreurs
Modifier Livreur
PATCH
/
livreurs
/
{livreur_id}
/
modifier
Modifier Livreur
curl --request PATCH \
--url https://api.example.com/livreurs/{livreur_id}/modifier \
--header 'Content-Type: application/json' \
--data '
{
"nom": "<string>",
"contact": "<string>",
"immatriculation": "<string>"
}
'import requests
url = "https://api.example.com/livreurs/{livreur_id}/modifier"
payload = {
"nom": "<string>",
"contact": "<string>",
"immatriculation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({nom: '<string>', contact: '<string>', immatriculation: '<string>'})
};
fetch('https://api.example.com/livreurs/{livreur_id}/modifier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/livreurs/{livreur_id}/modifier",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'nom' => '<string>',
'contact' => '<string>',
'immatriculation' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/livreurs/{livreur_id}/modifier"
payload := strings.NewReader("{\n \"nom\": \"<string>\",\n \"contact\": \"<string>\",\n \"immatriculation\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/livreurs/{livreur_id}/modifier")
.header("Content-Type", "application/json")
.body("{\n \"nom\": \"<string>\",\n \"contact\": \"<string>\",\n \"immatriculation\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/livreurs/{livreur_id}/modifier")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"nom\": \"<string>\",\n \"contact\": \"<string>\",\n \"immatriculation\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"nom": "<string>",
"vehicule": "moto",
"contact": "<string>",
"immatriculation": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date_creation": "2023-11-07T05:31:56Z",
"statut": "disponible"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Response
Successful Response
⌘I
Modifier Livreur
curl --request PATCH \
--url https://api.example.com/livreurs/{livreur_id}/modifier \
--header 'Content-Type: application/json' \
--data '
{
"nom": "<string>",
"contact": "<string>",
"immatriculation": "<string>"
}
'import requests
url = "https://api.example.com/livreurs/{livreur_id}/modifier"
payload = {
"nom": "<string>",
"contact": "<string>",
"immatriculation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({nom: '<string>', contact: '<string>', immatriculation: '<string>'})
};
fetch('https://api.example.com/livreurs/{livreur_id}/modifier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/livreurs/{livreur_id}/modifier",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'nom' => '<string>',
'contact' => '<string>',
'immatriculation' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/livreurs/{livreur_id}/modifier"
payload := strings.NewReader("{\n \"nom\": \"<string>\",\n \"contact\": \"<string>\",\n \"immatriculation\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/livreurs/{livreur_id}/modifier")
.header("Content-Type", "application/json")
.body("{\n \"nom\": \"<string>\",\n \"contact\": \"<string>\",\n \"immatriculation\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/livreurs/{livreur_id}/modifier")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"nom\": \"<string>\",\n \"contact\": \"<string>\",\n \"immatriculation\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"nom": "<string>",
"vehicule": "moto",
"contact": "<string>",
"immatriculation": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date_creation": "2023-11-07T05:31:56Z",
"statut": "disponible"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
